Printer (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.Printer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface Printer

All Superinterfaces:
  Function, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Printer

extends Function

A printer provides printing function. This is a function, not a system. A system can contain printer function.

Author:
  yan
Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.Function
`IBM_COPYRIGHT`

Method Summary
`PrinterQueue[]` | `getPrinterQueues()`
`boolean` | `hasPrinterQueues()`
`void` | `setPrinterQueues(PrinterQueue[] queues)`

Methods inherited from interface com.collation.platform.model.topology.sys.Function
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPrinterQueues

    PrinterQueue[] getPrinterQueues()
                                    throws AttributeNotSetException

  Returns:
    the printer queues
  Throws:
    `AttributeNotSetException`
  Containment Relationship:
    true

### setPrinterQueues

    void setPrinterQueues(PrinterQueue[] queues)

### hasPrinterQueues

    boolean hasPrinterQueues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD